# Method: resources.features.list

Retrieves a list of features for an account.

### HTTP request

`GET https://admin.googleapis.com/admin/directory/v1/customer/{customer}/resources/features`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's customer ID. |

### Query parameters

| Parameters ||
|---|---|
| `maxResults` | `integer` Maximum number of results to return. |
| `pageToken` | `string` Token to specify the next page in the list. |

### Request body

The request body must be empty.

### Response body

Public API: Resources.features

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "etag": string, "features": [ { object (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/resources.features#Feature`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `kind` | `string` Kind of resource this is. |
| `etag` | `string` ETag of the resource. |
| `features[]` | ``object (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/resources.features#Feature`)`` The Features in this page of results. |
| `nextPageToken` | `string` The continuation token, used to page through large result sets. Provide this value in a subsequent request to return the next page of results. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://apps-apis.google.com/a/feeds/calendar/resource/`
- `
  https://www.googleapis.com/auth/admin.directory.resource.calendar`
- `
  https://www.googleapis.com/auth/admin.directory.resource.calendar.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).